# DataExchange
TKSTEP
StepAP203

# StepAP203_Array1OfWorkItem Class Reference

`#include <StepAP203_Array1OfWorkItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepAP203_Array1OfWorkItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepAP203_Array1OfWorkItem (const StepAP203_WorkItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepAP203_WorkItem &V)
Standard_EXPORT void | Destroy ()
| ~StepAP203_Array1OfWorkItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepAP203_Array1OfWorkItem & | Assign (const StepAP203_Array1OfWorkItem &Other)
const StepAP203_Array1OfWorkItem & | operator= (const StepAP203_Array1OfWorkItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepAP203_WorkItem &Value)
const StepAP203_WorkItem & | Value (const Standard_Integer Index) const
const StepAP203_WorkItem & | operator() (const Standard_Integer Index) const
StepAP203_WorkItem & | ChangeValue (const Standard_Integer Index)
StepAP203_WorkItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepAP203_Array1OfWorkItem (const StepAP203_Array1OfWorkItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepAP203_Array1OfWorkItem::StepAP203_Array1OfWorkItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepAP203_Array1OfWorkItem::StepAP203_Array1OfWorkItem | ( | const StepAP203_WorkItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepAP203_Array1OfWorkItem::~StepAP203_Array1OfWorkItem | ( |  | ) | `[inline]`

Standard_EXPORT StepAP203_Array1OfWorkItem::StepAP203_Array1OfWorkItem | ( | const StepAP203_Array1OfWorkItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepAP203_Array1OfWorkItem& StepAP203_Array1OfWorkItem::Assign | ( | const StepAP203_Array1OfWorkItem & | Other | ) |

StepAP203_WorkItem& StepAP203_Array1OfWorkItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepAP203_Array1OfWorkItem::Destroy | ( |  | ) |

Standard_EXPORT void StepAP203_Array1OfWorkItem::Init | ( | const StepAP203_WorkItem & | V | ) |

Standard_Boolean StepAP203_Array1OfWorkItem::IsAllocated | ( |  | ) | const

Standard_Integer StepAP203_Array1OfWorkItem::Length | ( |  | ) | const

Standard_Integer StepAP203_Array1OfWorkItem::Lower | ( |  | ) | const

void StepAP203_Array1OfWorkItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepAP203_Array1OfWorkItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepAP203_Array1OfWorkItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepAP203_WorkItem& StepAP203_Array1OfWorkItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepAP203_WorkItem& StepAP203_Array1OfWorkItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepAP203_Array1OfWorkItem& StepAP203_Array1OfWorkItem::operator= | ( | const StepAP203_Array1OfWorkItem & | Other | ) | `[inline]`

void StepAP203_Array1OfWorkItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepAP203_WorkItem & | Value
| ) |

Standard_Integer StepAP203_Array1OfWorkItem::Upper | ( |  | ) | const

const StepAP203_WorkItem& StepAP203_Array1OfWorkItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepAP203_Array1OfWorkItem::isAllocated `[private]`

Standard_Integer StepAP203_Array1OfWorkItem::myLowerBound `[private]`

Standard_Address StepAP203_Array1OfWorkItem::myStart `[private]`

Standard_Integer StepAP203_Array1OfWorkItem::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepAP203_Array1OfWorkItem.hxx